kibana_host="127.0.0.1:15601"
es_host="127.0.0.1:19200"

function setDefaultIndex(){

curl --location --request POST "http://$kibana_host/api/kibana/settings" \
--header 'kbn-version: 7.12.0' \
--header 'Content-Type: application/json' \
--data-raw "{\"changes\":{\"defaultIndex\":\"$1\"}}"

}

function addTestData() {

curl --location --request POST "http://$es_host/$1/_doc/testdata" \
--header 'Content-Type: application/json' \
--data-raw '{
    "message": test data
}'

}

function addIndexPattern(){

serviceName="${1}"
index="${serviceName#\*}"
index="${index%\*}"
addTestData "$index"

resp=$(curl -XPOST "http://$kibana_host/api/saved_objects/index-pattern" \
--header 'kbn-version: 7.12.0' \
--header 'Content-Type: application/json' \
--data-raw "{\"attributes\":{\"title\":\"$1\",\"timeFieldName\":\"@timestamp\"}}")

if [ "$(echo "$resp" | grep -c '{"type":"index-pattern","id":"')" -lt 1 ]; then echo "addIndexPattern failed, resp:$resp"; exit; fi

id="${resp##*id\":\"}"
id="${id%%\"*}"

return "$id"

}

id=addIndexPattern "*-service*"
setDefaultIndex "$id"
id=addIndexPattern "*-service-v1*"
id=addIndexPattern "*-service-v2*"
id=addIndexPattern "auth-service-v1*"
id=addIndexPattern "department-service-v2*"
id=addIndexPattern "file-service-v1*"
id=addIndexPattern "gateway-service-v1*"
id=addIndexPattern "gateway-service-v2*"
id=addIndexPattern "notify-service-v1*"
id=addIndexPattern "others*"
id=addIndexPattern "pay-service-v1*"
id=addIndexPattern "process-service-v2*"
id=addIndexPattern "proof-service-v1*"
id=addIndexPattern "role-service-v2*"
id=addIndexPattern "swagger-service-v1*"
id=addIndexPattern "swagger-service-v2*"
id=addIndexPattern "template-service-v2*"
id=addIndexPattern "trace-service-v2*"
id=addIndexPattern "tx-service-v1*"
id=addIndexPattern "user-service-v1*"
